Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367410 - [abrt] tracker: strlen(): tracker-store killed by SIGSEGV
Summary: [abrt] tracker: strlen(): tracker-store killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:da37117d2f3fe0b09e376063f79...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 11:15 UTC by Mikhail
Modified: 2016-12-02 14:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 18:30:47 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-16 11:15 UTC, Mikhail
no flags Details
File: cgroup (deleted)
2016-08-16 11:15 UTC, Mikhail
no flags Details
File: core_backtrace (deleted)
2016-08-16 11:15 UTC, Mikhail
no flags Details
File: dso_list (deleted)
2016-08-16 11:15 UTC, Mikhail
no flags Details
File: environ (deleted)
2016-08-16 11:16 UTC, Mikhail
no flags Details
File: exploitable (deleted)
2016-08-16 11:16 UTC, Mikhail
no flags Details
File: limits (deleted)
2016-08-16 11:16 UTC, Mikhail
no flags Details
File: maps (deleted)
2016-08-16 11:16 UTC, Mikhail
no flags Details
File: mountinfo (deleted)
2016-08-16 11:16 UTC, Mikhail
no flags Details
File: namespaces (deleted)
2016-08-16 11:16 UTC, Mikhail
no flags Details
File: open_fds (deleted)
2016-08-16 11:16 UTC, Mikhail
no flags Details
File: proc_pid_status (deleted)
2016-08-16 11:16 UTC, Mikhail
no flags Details
File: var_log_messages (deleted)
2016-08-16 11:16 UTC, Mikhail
no flags Details

Description Mikhail 2016-08-16 11:15:48 UTC
Version-Release number of selected component:
tracker-1.8.0-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: strlen
executable:     /usr/libexec/tracker-store
global_pid:     1733
kernel:         4.6.6-300.fc24.x86_64+debug
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 g_strdup at gstrfuncs.c:362
 #2 g_error_copy at gerror.c:518
 #3 _g_error_copy0 at /home/carlos/Source/gnome/tracker/src/tracker-store/tracker-store.vala:171
 #4 tracker_store_pool_dispatch_cb at /home/carlos/Source/gnome/tracker/src/tracker-store/tracker-store.vala:243
 #5 _tracker_store_pool_dispatch_cb_gfunc at /home/carlos/Source/gnome/tracker/src/tracker-store/tracker-store.vala:310
 #7 g_thread_proxy at gthread.c:780

Potential duplicate: bug 1301397

Comment 1 Mikhail 2016-08-16 11:15:53 UTC
Created attachment 1191206 [details]
File: backtrace

Comment 2 Mikhail 2016-08-16 11:15:55 UTC
Created attachment 1191207 [details]
File: cgroup

Comment 3 Mikhail 2016-08-16 11:15:57 UTC
Created attachment 1191208 [details]
File: core_backtrace

Comment 4 Mikhail 2016-08-16 11:15:58 UTC
Created attachment 1191209 [details]
File: dso_list

Comment 5 Mikhail 2016-08-16 11:16:00 UTC
Created attachment 1191210 [details]
File: environ

Comment 6 Mikhail 2016-08-16 11:16:02 UTC
Created attachment 1191211 [details]
File: exploitable

Comment 7 Mikhail 2016-08-16 11:16:03 UTC
Created attachment 1191212 [details]
File: limits

Comment 8 Mikhail 2016-08-16 11:16:05 UTC
Created attachment 1191213 [details]
File: maps

Comment 9 Mikhail 2016-08-16 11:16:07 UTC
Created attachment 1191214 [details]
File: mountinfo

Comment 10 Mikhail 2016-08-16 11:16:08 UTC
Created attachment 1191215 [details]
File: namespaces

Comment 11 Mikhail 2016-08-16 11:16:10 UTC
Created attachment 1191216 [details]
File: open_fds

Comment 12 Mikhail 2016-08-16 11:16:11 UTC
Created attachment 1191217 [details]
File: proc_pid_status

Comment 13 Mikhail 2016-08-16 11:16:13 UTC
Created attachment 1191218 [details]
File: var_log_messages

Comment 14 Igor Gnatenko 2016-11-19 18:30:47 UTC
hopefully fixed in latest versions.

Comment 15 ddssantana89 2016-12-02 14:10:24 UTC
Similar problem has been detected:

Tried do rename a file (Pressing F2), while the search was active.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: strlen
executable:     /usr/libexec/tracker-store
global_pid:     1795
kernel:         4.8.8-200.fc24.x86_64
package:        tracker-1.8.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         tracker-store killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.